﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PripremaNoviZad
{
    public class FileRepo : IRepo
    {
        private const string directory = @"C:\Users\bubif\source\repos\Vjezba_MI2\PripremaNoviZad";
        private const string path = directory + @"\posudbe.txt";

        public FileRepo()
        {
            Directory.CreateDirectory(directory);
            if (!File.Exists(path))
            {
                File.Create(path).Close();
            }
        }
        public ISet<Book> Load()
        {
            ISet<Book> bookSet = new SortedSet<Book>();
            try
            {
                string[] lines = File.ReadAllLines(path);
                foreach (string line in lines)
                {
                    bookSet.Add(Book.Parse(line));
                }
            }
            catch (Exception ex) {
                throw new Exception();
            }

            return bookSet;
        }

        public void Save(IList<Book> books)
        {
            throw new NotImplementedException();
        }
    }
}
